Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27145

Description

hello, 

I often use the SVG export from the print layout and there is a bug on the versions 3.

It's impossible to get the text (labels essentially) on text format. It always become vector features even if the box "export labels as

contours" is unchecked.

Related issues:

Duplicated by QGIS Application - Bug report # 19387: Composer SVG Export Closed 2018-07-11

History

#1 - 2018-07-10 10:52 PM - Matthew Baker

Loïc Bfr wrote:

hello, 

I often use the SVG export from the print layout and there is a bug on the versions 3.

It's impossible to get the text (labels essentially) on text format. It always become vector features even if the box "export labels as contours" is

unchecked.

Want to add that I'm seeing this as well. Exporting to SVG used to keep the text as 'text' vs. converting to 'paths'. This was useful for sending exported

images to our graphics department (who will always find something to change...!). Version 3.x doesn't supporting keeping text as 'text' even when the

option is checked.

#2 - 2018-07-11 01:03 PM - Harrissou Santanna

- Duplicated by Bug report #19387: Composer SVG Export added

#3 - 2018-07-11 01:04 PM - Harrissou Santanna

- Regression? changed from No to Yes

#4 - 2018-07-17 12:10 PM - Patrick Connellan

- File labelEngineSettings.jpg added

Going into Label Engine settings and unchecking "Draw text as outline" for layers you wish to export text as svg text element allows for text export (see

attached image). Not sure if this helps with the fix but is a workaround for anyone wanting this functionality in the meantime. Anita Graser's blog 

https://anitagraser.com/2014/09/20/labels-as-text-in-svg-exports/ details a similar situation with QGIS2.

2024-03-13 1/2

https://anitagraser.com/2014/09/20/labels-as-text-in-svg-exports/


#5 - 2018-07-18 09:02 AM - Loïc Bfr

- Status changed from Open to Closed

Well done guys, it works.

A bit complicated, this two parameters controls the same thing but only one works, the most hidden.

So I checked it, the export of text as text is controlled only by the check/uncheck "Draw text as outline" in Label Engine settings. The choices offered during

SVG export has no effect whatever they are.

Something to change for the following releases.

Thanks!

Files

labelEngineSettings.jpg 263 KB 2018-07-17 Patrick Connellan
